MODEMMANAGER(8)

NAME
ModemManager - mobile broadband modem management daemon

SYNOPSIS
ModemManager [OPTION...]

DESCRIPTION
ModemManager provides a unified high level API for communicating with mobile broadband modems, regardless of the protocol used to communicate with the actual device (Generic AT, vendor-specific AT, QCDM, QMI, MBIM...). ModemManager is a DBus-based system daemon and is not meant to be used directly from the command line.

APPLICATION OPTIONS

--filter-policy=<policy>
    Specify which ports are probed and how:

    'WHITELIST-ONLY'
        Only devices or ports explicitly whitelisted with the 'ID_MM_DEVICE_PROCESS' udev tag are probed.

    'DEFAULT'
        All ports are allowed to be probed except for the ones explicitly greylisted as RS232 adapters or completely blacklisted.

    'STRICT'
        Only the TTY ports that are heurstically determined to be very likely to be modem ports are probed. Nay end up ignoring some devices.

    'PARANOID'
        This is equivalent to running the STRICT mode but also applying the blacklist and RS232 greylist filters explicitly.

--no-auto-scan
    Fully disable udev-based auto-scan looking for devices.

--initial-kernel-events=<filename>
    Specify location of the file where the list of initial kernel events is available. The ModemManager daemon will process this file on startup.

--debug
    Runs ModemManager with "DEBUG" log level and without daemonizing. This is useful for debugging, as it directs log output to the controlling terminal in addition to syslog.

-V, --version
    Print the ModemManager software version and exit.

-h, --help
    Show application options.

LOGGING OPTIONS

--log-level=<level>
    Sets how much information ModemManager sends to the log destination (usually syslog's "daemon" facility). By default, only informational, warning, and error messages are logged. Given level must be one of "ERR", "WARN", "INFO" or "DEBUG".

--log-file=<filename>
    Specify location of the file where ModemManager will dump its log messages, instead of syslog.

--log-journal
    Output log message to the systemd journal.

--log-timestamps
    Include absolute timestamps in the log output.

--log-relative-timestamps
    Include timestamps, relative to the start time of the daemon, in the log output.

TEST OPTIONS

--test-session
    Run the ModemManager daemon in the Session bus instead of the System bus.

--test-enable
    Enable the Test DBus interface in the daemon.

--test-plugin-dir=[PATH]
    Specify an alternate directory where the daemon should look for vendor plugins.

AUTHOR
Aleksander Morgado <aleksander@aleksander.es>

SEE ALSO
mmcli(1), NetworkManager(8)